## ldb 2.2.0

=== debian/changelog ===
ldb (2:2.2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * ldb_dn: avoid head corruption in ldb_dn_explode (CVE-2020-27840)
    (Closes: #985936)
  * pytests: move Dn.validate test to ldb
  * ldb/attrib_handlers casefold: stay in bounds (CVE-2021-20277)
    (Closes: #985935)
  * ldb: add tests for ldb_wildcard_compare
  * ldb tests: ldb_match tests with extra spaces
  * ldb: Remove tests from ldb_match_test that do not pass

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 26 Mar 2021 19:52:18 +0100

ldb (2:2.2.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Wed, 18 Nov 2020 20:33:02 +0100

ldb (2:2.2.0-2) experimental; urgency=medium

  * ldb_lmdb_free_list_test also fails on mips64el

 -- Mathieu Parent <sathieu@debian.org>  Wed, 11 Nov 2020 12:39:31 +0100

ldb (2:2.2.0-1) experimental; urgency=medium

  * New upstream version 2.2.0
    - d/watch: Bump to ldb 2.2.x, for samba 4.13.x
    - Update patches
    - Update symbols
  * Generate python3-ldb.symbols to build on all python3 versions
    (Closes: #972912)
  * Update watch file format version to 4.
  * d/copyright: Fix duplicate-globbing-patterns
  * Move to debhelper-compat 13

 -- Mathieu Parent <sathieu@debian.org>  Tue, 10 Nov 2020 17:35:57 +0100
