=== debian/control ===
Source: ldb
Section: devel
Priority: optional
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
           Mathieu Parent <sathieu@debian.org>
Build-Depends: dh-exec,
               dh-python,
               docbook-xml,
               docbook-xsl,
               libcmocka-dev (>= 1.1.1~),
               libldap2-dev,
               liblmdb-dev (>= 0.9.16),
               libpopt-dev,
               libtalloc-dev (>= 2.3.1~),
               libtdb-dev (>= 1.4.3~),
               libtevent-dev (>= 0.10.2~),
               pkg-config,
               python3,
               python3-dbg,
               python3-dev,
               python3-talloc-dev (>= 2.3.1~),
               python3-tdb (>= 1.4.3~),
               xsltproc,
               debhelper-compat (= 13)
Rules-Requires-Root: no
Homepage: https://ldb.samba.org/
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/samba-team/ldb
Vcs-Git: https://salsa.debian.org/samba-team/ldb.git

Package: libldb2
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: libldb0
Breaks: ldb-tools (<<1.1.30~),
        libldb0,
        libldb1 (<< 2:2~),
        libsamdb0 (<< 4.0.0~alpha17~git20110724.dfsg1-1),
        python-samba (<< 2:4.7.0~),
        samba (<<2:4.7.0~),
        samba-dsdb-modules (<< 2:4.7.0~),
        samba-libs (<< 2:4.7.0~),
        samba-testsuite (<< 2:4.7.0~)
Description: LDAP-like embedded database - shared library
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 It provides a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the shared library file.

Package: ldb-tools
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: LDAP-like embedded database - tools
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains bundled test and utility binaries

Package: libldb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libldb2 (= ${binary:Version}),
         libtalloc-dev,
         libtevent-dev,
         libtdb-dev,
         pkg-config,
         ${misc:Depends}
Description: LDAP-like embedded database - development files
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 What ldb does is provide a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the development files.

Package: python3-ldb
Pre-Depends: ${misc:Pre-Depends}
Section: python
Architecture: any
Depends: libldb2 (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Breaks: ${python:Breaks}
Description: Python 3 bindings for LDB
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 This package contains the Python 3 bindings.

Package: python3-ldb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc6-dev,
         libldb-dev,
         pkg-config,
         python3-ldb (= ${binary:Version}),
         ${misc:Depends}
Description: LDB Python 3 bindings - development files
 ldb is a LDAP-like embedded database built on top of TDB.
 .
 It is a fast database with an LDAP-like API designed
 to be used within an application. In some ways it can be seen as a
 intermediate solution between key-value pair databases and a real LDAP
 database.
 .
 This package contains the development files for the Python 3 bindings.
