## ldb 2.2.1

=== debian/changelog ===
ldb (2:2.2.1-1A~5.0.0.202103261103) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    10_ldb_control_bypass_samaccountname_ldap_check

 -- Univention builddaemon <buildd@univention.de>  Fri, 26 Mar 2021 11:03:53 +0100

ldb (2:2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Fri, 26 Mar 2021 10:38:16 +0100

ldb (2:2.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Tue, 20 Oct 2020 14:16:08 +0200

ldb (2:1.5.8-1) unstable; urgency=medium

  * New upstream release

 -- Erik Damrose <damrose@univention.de>  Tue, 30 Jun 2020 16:21:10 +0200

ldb (2:1.5.7-1) unstable; urgency=medium

  * New upstream release

 -- root <root@master10.ar41i1.qa>  Tue, 21 Apr 2020 20:55:41 +0200

ldb (2:1.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Tue, 21 Apr 2020 13:56:00 +0200

ldb (2:1.5.4-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Thu, 21 Mar 2019 12:06:35 +0100

ldb (2:1.5.3-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Fri, 15 Feb 2019 01:26:38 +0100

ldb (2:1.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Mon, 11 Feb 2019 19:18:11 +0100

ldb (2:1.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Wed, 12 Dec 2018 18:36:48 +0100

ldb (2:1.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Mon, 29 Oct 2018 18:01:40 +0100

ldb (2:1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Wed, 03 Jan 2018 10:28:30 +0100
