=== debian/changelog ===
ldb (2:2.2.3-2~deb11u2) bullseye-security; urgency=medium

  * d/control: add myself to Uploaders
  * ldb-memory-bug-15096-CVE-2022-32745-4.13-v3.patch:
    only the lib/ldb/* bits from the larger upstream patchset as
    found at https://bugzilla.samba.org/show_bug.cgi?id=15096 , as
    part of the fix for CVE-2022-32745
  * d/*.symbols*: add new symbols and versions

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 01 Aug 2022 17:18:51 +0300

ldb (2:2.2.3-2~deb11u1) bullseye-security; urgency=high

  * Upload to bullseye-security

 -- Mathieu Parent <sathieu@debian.org>  Thu, 04 Nov 2021 20:08:35 +0100

ldb (2:2.2.3-2) unstable; urgency=high

  * Skip failing tests (on 32-bit architectures)

 -- Mathieu Parent <sathieu@debian.org>  Thu, 04 Nov 2021 23:06:24 +0100

ldb (2:2.2.3-1~deb11u1) bullseye-security; urgency=high

  * Upload to bullseye-security

 -- Mathieu Parent <sathieu@debian.org>  Thu, 04 Nov 2021 20:08:35 +0100

ldb (2:2.2.3-1) unstable; urgency=high

  * New upstream version 2.2.3

 -- Mathieu Parent <sathieu@debian.org>  Thu, 04 Nov 2021 19:28:54 +0100

ldb (2:2.2.2-2~deb11u1) bullseye-security; urgency=high

  * Upload to bullseye-security

 -- Mathieu Parent <sathieu@debian.org>  Mon, 01 Nov 2021 15:43:41 +0100

ldb (2:2.2.2-2) unstable; urgency=high

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Mon, 01 Nov 2021 08:58:11 +0100

ldb (2:2.2.2-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * Acknowledge NMU
  * New upstream version 2.2.2, includes:
    - CVE-2020-27840: Heap corruption via crafted DN strings.
    - CVE-2021-20277: Out of bounds read in AD DC LDAP server.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Mathieu Parent <sathieu@debian.org>  Sat, 30 Oct 2021 15:57:53 +0200
