=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
-           Mathieu Parent <sathieu@debian.org>
+           Mathieu Parent <sathieu@debian.org>,
+           Michael Tokarev <mjt@tls.msk.ru>
 Build-Depends: dh-exec,
                dh-python,
                docbook-xml,
@@ -25,7 +26,7 @@
                debhelper-compat (= 13)
 Rules-Requires-Root: no
 Homepage: https://ldb.samba.org/
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/samba-team/ldb
 Vcs-Git: https://salsa.debian.org/samba-team/ldb.git
