=== debian/changelog ===
ldb (2:2.4.2-0ubuntu1) jammy; urgency=medium

  * d/watch: start tracking 2.4.x
  * New upstream release: 2.4.2
  * d/p/Fix-FTBFS-Increase-the-over-estimation-for-sparse-fi.patch:
    removed (applied upstream)
  * d/python3-ldb.symbols.in: update symbols
  * d/libldb2.symbols: update symbols

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 15 Feb 2022 18:29:08 -0300

ldb (2:2.2.3-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 11:31:42 +0000
