=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/tar\.gz/tar.asc/,decompress https://download.samba.org/pub/ldb/ ldb-(2\.4\..+).tar.gz
