=== debian/changelog ===
ldb (2:2.4.4-0ubuntu0.22.04.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Access controlled AD LDAP attributes can be discovered
    - debian/patches/CVE-2023-0614-*.patch: upstream patches to fix the
      issue.
    - debian/libldb2.symbols: added new symbols.
    - CVE-2023-0614

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 30 Mar 2023 08:16:21 -0400

ldb (2:2.4.4-0ubuntu0.22.04.1) jammy-security; urgency=medium

  * No-change rebuild to solve versioning issue preventing upgrades from
    focal to jammy. (LP: #2009895)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 10 Mar 2023 06:55:45 -0500

ldb (2:2.4.4-0ubuntu0.1) jammy-security; urgency=medium

  * Updated to 2.4.4 to fix security issue.
    - debian/python3-ldb.symbols.in, debian/libldb2.symbols: added new
      symbols.
    - CVE-2022-32746

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 Jul 2022 07:27:00 -0400
