=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: ldb
 Section: devel
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
-           Mathieu Parent <sathieu@debian.org>,
-           Michael Tokarev <mjt@tls.msk.ru>
+           Mathieu Parent <sathieu@debian.org>
 Build-Depends: dh-exec,
                dh-python,
                docbook-xml,
