## ldb 2.5.1

=== debian/changelog ===
ldb (2:2.5.1-1A~5.0.0.202206171844) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    10_ldb_control_bypass_samaccountname_ldap_check

 -- Univention builddaemon <buildd@univention.de>  Fri, 17 Jun 2022 18:44:26 +0200

ldb (2:2.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Julia Bremer <bremer@univention.de>  Fri, 17 Jun 2022 16:45:37 +0200

ldb (2:2.5.0-1) unstable; urgency=medium

  * New upstream release

 -- Julia Bremer <bremer@univention.de>  Mon, 25 Apr 2022 13:27:26 +0200

ldb (2:2.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Sat, 06 Nov 2021 11:49:01 +0100

ldb (2:2.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Thu, 04 Nov 2021 08:59:18 +0100
