## ldb 2.5.2

=== debian/changelog ===
ldb (2:2.5.2-1A~5.1.0.202303161314) ucs5-1-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    10_ldb_control_bypass_samaccountname_ldap_check
    20_symbols

 -- Univention builddaemon <buildd@univention.de>  Thu, 16 Mar 2023 13:14:37 +0100

ldb (2:2.5.2-1) unstable; urgency=medium

  * New source package including upstream security patches for Bug #54994

 -- Arvid Requate <requate@univention.de>  Tue, 19 Jul 2022 17:09:57 +0200
