=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: ldb
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Jelmer Vernooĳ <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>
-Build-Depends: dh-exec,
+Build-Depends: debhelper (>= 11),
+               dh-exec,
                dh-python,
                docbook-xml,
                docbook-xsl,
@@ -22,11 +22,10 @@
                python3-dev,
                python3-talloc-dev (>= 2.3.1~),
                python3-tdb (>= 1.4.3~),
-               xsltproc,
-               debhelper-compat (= 13)
+               xsltproc
+Homepage: https://ldb.samba.org/
 Rules-Requires-Root: no
-Homepage: https://ldb.samba.org/
-Standards-Version: 4.5.1
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/samba-team/ldb
 Vcs-Git: https://salsa.debian.org/samba-team/ldb.git
 
@@ -37,7 +36,8 @@
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Replaces: libldb0
+Replaces: libldb0,
+        libldb1
 Breaks: ldb-tools (<<1.1.30~),
         libldb0,
         libldb1 (<< 2:2~),
@@ -56,6 +56,14 @@
  database.
  .
  This package contains the shared library file.
+
+Package: libldb1
+Depends: libldb2, ${misc:Depends}
+Architecture: all
+Priority: optional
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
 
 Package: ldb-tools
 Section: utils
@@ -103,10 +111,10 @@
          ${shlibs:Depends}
 Provides: ${python:Provides}
 Breaks: ${python:Breaks}
-Description: Python 3 bindings for LDB
+Description: Python3 bindings for LDB
  ldb is a LDAP-like embedded database built on top of TDB.
  .
- This package contains the Python 3 bindings.
+ This package contains the Python bindings.
 
 Package: python3-ldb-dev
 Section: libdevel
@@ -117,7 +125,7 @@
          pkg-config,
          python3-ldb (= ${binary:Version}),
          ${misc:Depends}
-Description: LDB Python 3 bindings - development files
+Description: LDB Python3 bindings - development files
  ldb is a LDAP-like embedded database built on top of TDB.
  .
  It is a fast database with an LDAP-like API designed
@@ -125,4 +133,4 @@
  intermediate solution between key-value pair databases and a real LDAP
  database.
  .
- This package contains the development files for the Python 3 bindings.
+ This package contains the development files for the Python3 bindings.
