## ldb 2.5.3

=== debian/changelog ===
ldb (2:2.5.3-1A~5.0.0.202303221553) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    10_ldb_control_bypass_samaccountname_ldap_check

 -- Univention builddaemon <buildd@univention.de>  Wed, 22 Mar 2023 15:53:41 +0100

ldb (2:2.5.3-1) unstable; urgency=medium

  * New source package including upstream security patches for Bug #55892

 -- Arvid Requate <requate@univention.de>  Wed, 22 Mar 2023 14:40:33 +0100
