=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
@@ -19,7 +20,7 @@
 
 DESTDIR=$(CURDIR)/debian/tmp
 
-include /usr/share/dpkg/architecture.mk
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
 	dh $@ --with python3
@@ -68,9 +69,5 @@
 	dh_missing --fail-missing
 
 override_dh_makeshlibs:
-	DEB_PY3_EXTENSION_SUFFIX=$(shell python3-config --extension-suffix | tr '_' '-') \
-	  DEB_PY3_EXTENSION_UPCASE=$(shell python3-config --extension-suffix | sed 's/\.so$$//' | tr 'a-z-' 'A-Z_') \
-	  debian/python3-ldb.symbols.in > debian/python3-ldb.symbols
-	dh_makeshlibs -Xldb. -ppython3-ldb -- -c4
-	rm debian/python3-ldb.symbols
+	dh_makeshlibs -Xldb.so -ppython3-ldb -- -c4
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/ldb -plibldb2 -- -c4
